- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::OptionsList::OptionValue Class Reference

Class for storing the value and counter for each option in OptionsList. More...

List of all members.

## Public Member Functions
std::string | GetValue () const
| Method for retrieving the value of an option.
std::string | Value () const
| Method for retrieving the value without increasing the counter.
Index | Counter () const
| Method for accessing current value of the request counter.
bool | AllowClobber () const
| True if the option can be overwritten.
bool | DontPrint () const
| True if this option is not to show up in the print_user_options output.
Constructors/Destructors
| OptionValue ()
| Default constructor (needed for the map).
| OptionValue (std::string value, bool allow_clobber, bool dont_print)
| Constructor given the value.
| OptionValue (const OptionValue &copy)
| Copy Constructor.
void | operator= (const OptionValue &copy)
| Equals operator.
| ~OptionValue ()
| Default Destructor.
## Private Attributes
std::string | value_
| Value for this option.
Index | counter_
| Counter for requests.
bool | initialized_
| for debugging
bool | allow_clobber_
| True if the option can be overwritten.
bool | dont_print_
| True if this option is not to show up in the print_user_options output.

## Detailed Description

Class for storing the value and counter for each option in OptionsList.

Definition at line 36 of file IpOptionsList.hpp.

## Constructor & Destructor Documentation

Ipopt::OptionsList::OptionValue::OptionValue | ( |  | ) | `[inline]`

Default constructor (needed for the map).

Definition at line 42 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::OptionValue | ( | std::string | value,
|  | bool | allow_clobber,
|  | bool | dont_print |
| ) |  |  | `[inline]`

Constructor given the value.

Definition at line 48 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::OptionValue | ( | const OptionValue & | copy | ) | `[inline]`

Copy Constructor.

Definition at line 58 of file IpOptionsList.hpp.

Ipopt::OptionsList::OptionValue::~OptionValue | ( |  | ) | `[inline]`

Default Destructor.

Definition at line 78 of file IpOptionsList.hpp.

## Member Function Documentation

void Ipopt::OptionsList::OptionValue::operator= | ( | const OptionValue & | copy | ) | `[inline]`

Equals operator.

Definition at line 68 of file IpOptionsList.hpp.

References allow_clobber_, counter_, dont_print_, initialized_, and value_.

std::string Ipopt::OptionsList::OptionValue::GetValue | ( |  | ) | const`[inline]`

Method for retrieving the value of an option.

Calling this method will increase the counter by one.

Definition at line 84 of file IpOptionsList.hpp.

References counter_, DBG_ASSERT, initialized_, and value_.

std::string Ipopt::OptionsList::OptionValue::Value | ( |  | ) | const`[inline]`

Method for retrieving the value without increasing the counter.

Definition at line 93 of file IpOptionsList.hpp.

References DBG_ASSERT, initialized_, and value_.

Index Ipopt::OptionsList::OptionValue::Counter | ( |  | ) | const`[inline]`

Method for accessing current value of the request counter.

Definition at line 100 of file IpOptionsList.hpp.

References counter_, DBG_ASSERT, and initialized_.

bool Ipopt::OptionsList::OptionValue::AllowClobber | ( |  | ) | const`[inline]`

True if the option can be overwritten.

Definition at line 107 of file IpOptionsList.hpp.

References allow_clobber_, DBG_ASSERT, and initialized_.

bool Ipopt::OptionsList::OptionValue::DontPrint | ( |  | ) | const`[inline]`

True if this option is not to show up in the print_user_options output.

Definition at line 115 of file IpOptionsList.hpp.

References DBG_ASSERT, dont_print_, and initialized_.

## Member Data Documentation

std::string Ipopt::OptionsList::OptionValue::value_`[private]`

Value for this option.

Definition at line 123 of file IpOptionsList.hpp.

Referenced by GetValue(), operator=(), and Value().

Index Ipopt::OptionsList::OptionValue::counter_`[mutable, private]`

Counter for requests.

Definition at line 126 of file IpOptionsList.hpp.

Referenced by Counter(), GetValue(), and operator=().

bool Ipopt::OptionsList::OptionValue::initialized_`[private]`

for debugging

Definition at line 129 of file IpOptionsList.hpp.

Referenced by AllowClobber(), Counter(), DontPrint(), GetValue(), operator=(), and Value().

bool Ipopt::OptionsList::OptionValue::allow_clobber_`[private]`

True if the option can be overwritten.

Definition at line 132 of file IpOptionsList.hpp.

Referenced by AllowClobber(), and operator=().

bool Ipopt::OptionsList::OptionValue::dont_print_`[private]`

True if this option is not to show up in the print_user_options output.

Definition at line 136 of file IpOptionsList.hpp.

Referenced by DontPrint(), and operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Common/IpOptionsList.hpp